Subject: Re: [PATCH net-next V5 07/11] devlink: Extend devlink rate API with traffic classes bandwidth management

From: Jakub Kicinski <[email-masked]>
Date: Mon, 20 Jan 2025 10:14:47 -0800

On Mon, 20 Jan 2025 13:55:58 +0200 Carolina Jubran wrote:
> On 09/12/2024 23:27, Jakub Kicinski wrote:
> > On Mon, 9 Dec 2024 23:03:04 +0200 Tariq Toukan wrote:  
> >> If we enforce by policy we need to use the constant 7, not the macro
> >> IEEE_8021QAZ_MAX_TCS-1.
> >> I'll keep it.  
> > 
> > The spec should support using "foreign constants"
> > Off the top of my head - you can define the ieee-8021qaz-max-tcs contant
> > as if you were defining a devlink constant, then add a header:
> > attribute. This will tell C codegen to include that header instead of
> > generating the definition.
> >   
> 
> Hi Jakub,
> 
> I tried implementing this as you suggested, but it seems that the only 
> supported definition types are ['const', 'enum', 'flags', 'struct'], 
> while the max value in checks only accepts patterns matching 
> ^[su](8|16|32|64)-(min|max)$.
> 
>  From what I see, it doesn’t currently support using a const value for 
> the max or min checks. Let me know if I’m missing something or if 
> there’s an alternative way to achieve this.

Ah, I thought we already implemented this, sorry.
Can you try the two patches from the top of this branch?

https://github.com/kuba-moo/linux/tree/ynl-limits